Package org.apache.commons.jxpath.servlet

# Class HttpSessionHandler

java.lang.Object
org.apache.commons.jxpath.servlet.ServletContextHandler
org.apache.commons.jxpath.servlet.HttpSessionHandler

All Implemented Interfaces:
  `DynamicPropertyHandler`

Direct Known Subclasses:
  `ServletRequestHandler`

public class HttpSessionHandler extends ServletContextHandler
Implementation of the `DynamicPropertyHandler` interface that provides access to attributes of a @{link HttpSession}.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HttpSessionHandler()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `collectPropertyNames(HashSet<String> set, Object bean)`
  Collect the property names from bean, storing in set.
  `Object`
  `getProperty(Object bean, String property)`
  Returns the value of the specified dynamic property.
  `void`
  `setProperty(Object bean, String property, Object value)`
  Modifies the value of the specified dynamic property.

  ### Methods inherited from class org.apache.commons.jxpath.servlet.ServletContextHandler

  `getPropertyNames`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HttpSessionHandler

    public HttpSessionHandler()
    Constructs a new instance.

- ## Method Details

  - ### collectPropertyNames

    protected void collectPropertyNames(HashSet<String> set, Object bean)
    Description copied from class: `ServletContextHandler`
    Collect the property names from bean, storing in set.
    Overrides:
      `collectPropertyNames` in class `ServletContextHandler`
    Parameters:
      `set` - destination
      `bean` - to read

  - ### getProperty

    public Object getProperty(Object bean, String property)
    Description copied from interface: `DynamicPropertyHandler`
    Returns the value of the specified dynamic property.
    Specified by:
      `getProperty` in interface `DynamicPropertyHandler`
    Overrides:
      `getProperty` in class `ServletContextHandler`
    Parameters:
      `bean` - to search
      `property` - to retrieve
    Returns:
      Object

  - ### setProperty

    public void setProperty(Object bean, String property, Object value)
    Description copied from interface: `DynamicPropertyHandler`
    Modifies the value of the specified dynamic property.
    Specified by:
      `setProperty` in interface `DynamicPropertyHandler`
    Overrides:
      `setProperty` in class `ServletContextHandler`
    Parameters:
      `bean` - to modify
      `property` - to modify
      `value` - to set